//////////////////////////////////////////////
// NovaWM - Nova Window Manager for X11     //
//////////////////////////////////////////////
// By: Tim Walters                          //
//////////////////////////////////////////////
// Copyright (C) 2001-2002 Tim Walters      //
//////////////////////////////////////////////

////////////////////////////////////////////////////////////////
//This code is released under the terms of the GNU GPL. Refer //
//to the license file included with this source code.         //
////////////////////////////////////////////////////////////////


#include "novawm.h"

Config::Config()
{
	itemExec = (char **) calloc(sizeof(char *),81);
	disableBar = false;
	clockFormat = 1;
}

Config::~Config()
{
}

void
Config::LoadMenu ()
{
	FILE *menuFile = 0;
	char menuFName[355];

	strcpy(menuFName,getenv ("HOME"));
	//char *menuFName =
		//(char *) malloc (sizeof (homeDir) + sizeof ("/.novawm.menu"));
	nMenuItems = 0;
	int lineType = 0;
	char *line,*itemName;
	
	strcat(menuFName,"/.novawm.menu");

	menuFile = fopen (menuFName, "r");

	if (!menuFile)
	{
		printf ("novawm: failed to open %s\n", menuFName);
		return;
	}

	while (fgets (line, 81, menuFile) != NULL)
	{
			//Remove the \n from each line
			line[strlen(line)-1] = ' ';
		if (lineType == 0)
		{
			itemName =(char *) malloc (81);
			strcpy (itemName,line);
			novaMenu.AddItem(itemName);
		}

		if (lineType == 1)
		{
			itemExec[nMenuItems] = (char *) malloc (81);
			strcpy (itemExec[nMenuItems], line);
			nMenuItems++;

		}

		if (lineType == 0)
			lineType = 1;
		else
			lineType = 0;

	}

	fclose(menuFile);
	
}
